Package org.apache.uima.resource.metadata

# Interface ExternalResourceBinding

All Superinterfaces:
  `Cloneable`, `MetaDataObject`, `Serializable`, `XMLizable`

All Known Implementing Classes:
  `ExternalResourceBinding_impl`

public interface ExternalResourceBinding extends MetaDataObject
Binds an `ExternalResourceDependency` to an `ExternalResourceDescription`. The biding has two parts - the `key`, which indicates the resource dependency being bound, and the `resource name`, which identifies the resource to which that dependency is bound.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final ExternalResourceBinding[]`
  `EMPTY_RESOURCE_BINDINGS`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getKey()`
  Retrieves the key that identifies the `ExternalResourceDependency` being bound.
  `String`
  `getResourceName()`
  Retrieves the name of the actual Resource instance that will satisfy this dependency.
  `void`
  `setKey(String aKey)`
  Sets the key that identifies the `ExternalResourceDependency` being bound.
  `void`
  `setResourceName(String aName)`
  Sets the name of the actual Resource instance that will satisfy this dependency.

  ### Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject

  `clone, equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

  ### Methods inherited from interface org.apache.uima.util.XMLizable

  `buildFromXMLElement, buildFromXMLElement, toXML, toXML, toXML, toXML`

- ## Field Details

  - ### EMPTY_RESOURCE_BINDINGS

    static final ExternalResourceBinding[] EMPTY_RESOURCE_BINDINGS

- ## Method Details

  - ### getKey

    String getKey()
    Retrieves the key that identifies the `ExternalResourceDependency` being bound. If this binding is declared in a primitive component, this is exactly the same key as is specified in the `ExternalResourceDependency`.

    Within an aggregate, a slash-separated name is used to identify which component the binding applies to. For example, if an Aggregate AE contains an annotator with key `annotator1` which declares a resource dependency `myResource`, that Aggregate AE could bind that resource dependency by using the key `annotator1/myResource`.

    Returns:
      the key for this resource binding.

  - ### setKey

    void setKey(String aKey)
    Sets the key that identifies the `ExternalResourceDependency` being bound. If this binding is declared in a primitive component, this is exactly the same key as is specified in the `ExternalResourceDependency`.

    Within an aggregate, a slash-separated name is used to identify which component the binding applies to. For example, if an Aggregate AE contains an annotator with key `annotator1` which declares a resource dependency `myResource`, that Aggregate AE could bind that resource dependency by using the key `annotator1/myResource`.

    Parameters:
      `aKey` - the key for this resource binding.

  - ### getResourceName

    String getResourceName()
    Retrieves the name of the actual Resource instance that will satisfy this dependency. This name must match one of the names specified in an `ExternalResourceDescription` within the enclosing `ResourceManagerConfiguration` object.
    Returns:
      the name of the resource satisfying this dependency.

  - ### setResourceName

    void setResourceName(String aName)
    Sets the name of the actual Resource instance that will satisfy this dependency. This name must match one of the names specified in an `ExternalResourceDescription` within the enclosing `ResourceManagerConfiguration` object.
    Parameters:
      `aName` - the name of the resource satisfying this dependency.